diff -uNr bfilter-1.1.4.orig/boost/boost/mpl/apply.hpp bfilter-1.1.4/boost/boost/mpl/apply.hpp
--- bfilter-1.1.4.orig/boost/boost/mpl/apply.hpp	2006-07-24 09:24:59.000000000 +0200
+++ bfilter-1.1.4/boost/boost/mpl/apply.hpp	2009-07-03 14:33:32.000000000 +0200
@@ -135,7 +135,8 @@
 
 ///// iteration, depth == 1
 
-#elif BOOST_PP_ITERATION_DEPTH() == 1
+#else
+#if BOOST_PP_ITERATION_DEPTH() == 1
 
 #   define i_ BOOST_PP_FRAME_ITERATION(1)
 
@@ -222,4 +223,5 @@
 
 #   undef i_
 
+#endif
 #endif // BOOST_PP_IS_ITERATING
diff -uNr bfilter-1.1.4.orig/boost/boost/mpl/apply_wrap.hpp bfilter-1.1.4/boost/boost/mpl/apply_wrap.hpp
--- bfilter-1.1.4.orig/boost/boost/mpl/apply_wrap.hpp	2006-07-24 09:24:59.000000000 +0200
+++ bfilter-1.1.4/boost/boost/mpl/apply_wrap.hpp	2009-07-03 14:35:03.000000000 +0200
@@ -78,7 +78,8 @@
 
 ///// iteration, depth == 1
 
-#elif BOOST_PP_ITERATION_DEPTH() == 1
+#else
+#if BOOST_PP_ITERATION_DEPTH() == 1
 
 #   define i_ BOOST_PP_FRAME_ITERATION(1)
 
@@ -170,7 +171,8 @@
 
 ///// iteration, depth == 2
 
-#elif BOOST_PP_ITERATION_DEPTH() == 2
+#else
+#if BOOST_PP_ITERATION_DEPTH() == 2
 
 #   define j_ BOOST_PP_FRAME_ITERATION(2)
 
@@ -197,4 +199,6 @@
 
 #   undef j_
 
+#endif
+#endif
 #endif // BOOST_PP_IS_ITERATING
diff -uNr bfilter-1.1.4.orig/boost/boost/mpl/aux_/advance_backward.hpp bfilter-1.1.4/boost/boost/mpl/aux_/dvance_backward.hpp
--- bfilter-1.1.4.orig/boost/boost/mpl/aux_/advance_backward.hpp	2006-07-24 09:24:59.000000000 +0200
+++ bfilter-1.1.4/boost/boost/mpl/aux_/advance_backward.hpp	2009-07-03 14:41:33.000000000 +0200
@@ -79,7 +79,8 @@
 
 ///// iteration, depth == 1
 
-#elif BOOST_PP_ITERATION_DEPTH() == 1
+#else
+#if BOOST_PP_ITERATION_DEPTH() == 1
 #define i_ BOOST_PP_FRAME_ITERATION(1)
 
 template<>
@@ -111,7 +112,8 @@
 
 ///// iteration, depth == 2
 
-#elif BOOST_PP_ITERATION_DEPTH() == 2
+#else
+#if BOOST_PP_ITERATION_DEPTH() == 2
 
 #   define AUX778076_ITER_0 BOOST_PP_CAT(iter,BOOST_PP_DEC(BOOST_PP_FRAME_ITERATION(2)))
 #   define AUX778076_ITER_1 BOOST_PP_CAT(iter,BOOST_PP_FRAME_ITERATION(2))
@@ -121,4 +123,6 @@
 #   undef AUX778076_ITER_1
 #   undef AUX778076_ITER_0
 
+#endif
+#endif
 #endif // BOOST_PP_IS_ITERATING
diff -uNr bfilter-1.1.4.orig/boost/boost/mpl/aux_/advance_forward.hpp bfilter-1.1.4/boost/boost/mpl/aux_/dvance_forward.hpp
--- bfilter-1.1.4.orig/boost/boost/mpl/aux_/advance_forward.hpp	2006-07-24 09:24:59.000000000 +0200
+++ bfilter-1.1.4/boost/boost/mpl/aux_/advance_forward.hpp	2009-07-03 14:43:19.000000000 +0200
@@ -79,7 +79,8 @@
 
 ///// iteration, depth == 1
 
-#elif BOOST_PP_ITERATION_DEPTH() == 1
+#else
+#if BOOST_PP_ITERATION_DEPTH() == 1
 #define i_ BOOST_PP_FRAME_ITERATION(1)
 
 template<>
@@ -110,7 +111,8 @@
 
 ///// iteration, depth == 2
 
-#elif BOOST_PP_ITERATION_DEPTH() == 2
+#else
+#if BOOST_PP_ITERATION_DEPTH() == 2
 
 #   define AUX778076_ITER_0 BOOST_PP_CAT(iter,BOOST_PP_DEC(BOOST_PP_FRAME_ITERATION(2)))
 #   define AUX778076_ITER_1 BOOST_PP_CAT(iter,BOOST_PP_FRAME_ITERATION(2))
@@ -120,4 +122,6 @@
 #   undef AUX778076_ITER_1
 #   undef AUX778076_ITER_0
 
+#endif
+#endif
 #endif // BOOST_PP_IS_ITERATING
diff -uNr bfilter-1.1.4.orig/boost/boost/mpl/aux_/full_lambda.hpp bfilter-1.1.4/boost/boost/mpl/aux_/ull_lambda.hpp
--- bfilter-1.1.4.orig/boost/boost/mpl/aux_/full_lambda.hpp	2006-07-24 09:24:59.000000000 +0200
+++ bfilter-1.1.4/boost/boost/mpl/aux_/full_lambda.hpp	2009-07-03 14:36:15.000000000 +0200
@@ -227,7 +227,8 @@
 
 ///// iteration, depth == 1
 
-#elif BOOST_PP_ITERATION_DEPTH() == 1
+#else
+#if BOOST_PP_ITERATION_DEPTH() == 1
 #define i_ BOOST_PP_FRAME_ITERATION(1)
 
 #if i_ > 0
@@ -347,4 +348,5 @@
 };
 
 #undef i_
+#endif
 #endif // BOOST_PP_IS_ITERATING
diff -uNr bfilter-1.1.4.orig/boost/boost/mpl/aux_/numeric_op.hpp bfilter-1.1.4/boost/boost/mpl/aux_/umeric_op.hpp
--- bfilter-1.1.4.orig/boost/boost/mpl/aux_/numeric_op.hpp	2006-07-24 09:24:59.000000000 +0200
+++ bfilter-1.1.4/boost/boost/mpl/aux_/numeric_op.hpp	2009-07-03 14:36:58.000000000 +0200
@@ -287,7 +287,8 @@
 
 ///// iteration, depth == 1
 
-#elif BOOST_PP_ITERATION_DEPTH() == 1
+#else
+#if BOOST_PP_ITERATION_DEPTH() == 1
 
 #   define i_ BOOST_PP_FRAME_ITERATION(1)
 
@@ -308,4 +309,5 @@
 
 #   undef i_
 
+#endif
 #endif // BOOST_PP_IS_ITERATING
diff -uNr bfilter-1.1.4.orig/boost/boost/mpl/bind.hpp bfilter-1.1.4/boost/boost/mpl/bind.hpp
--- bfilter-1.1.4.orig/boost/boost/mpl/bind.hpp	2006-07-24 09:24:59.000000000 +0200
+++ bfilter-1.1.4/boost/boost/mpl/bind.hpp	2009-07-03 14:37:53.000000000 +0200
@@ -361,7 +361,8 @@
 
 ///// iteration, depth == 1
 
-#elif BOOST_PP_ITERATION_DEPTH() == 1
+#else
+#if BOOST_PP_ITERATION_DEPTH() == 1
 
 #   define i_ BOOST_PP_FRAME_ITERATION(1)
 
@@ -528,7 +529,8 @@
 
 ///// iteration, depth == 2
 
-#elif BOOST_PP_ITERATION_DEPTH() == 2
+#else
+#if BOOST_PP_ITERATION_DEPTH() == 2
 
 #   define j_ BOOST_PP_FRAME_ITERATION(2)
 #   if !defined(BOOST_MPL_CFG_NO_UNNAMED_PLACEHOLDER_SUPPORT)
@@ -544,4 +546,6 @@
 #   endif
 #   undef j_
 
+#endif
+#endif
 #endif // BOOST_PP_IS_ITERATING
-- 1.6.3.3
